Page MenuHomePhabricator

Newcomer tasks: deploy AND selection to pilot wikis
Closed, ResolvedPublic

Description

In T301825, we added the "AND" filter to topic selection to allow users to make their filters much more specific. It is currently available only for campaign participants on Spanish Wikipedia. But before we expand, we want to complete this blocking parent task, so that we are going to more users with improvements included: T305097: Newcomer tasks: Copy and UI improvements the AND selection of interest topics.

Then we'll deploy to our pilot wikis via this task. After two weeks of being on our pilot wikis, we'll analyze some of the data (T305406), and then decide whether to move to all wikis (T305408).

In this task, we'll deploy to all users on this set of pilot Wikipedias: Czech, Bengali, Arabic, Spanish, Turkish, Persian, Portuguese.

Event Timeline

Restricted Application added a subscriber: Huji. · View Herald TranscriptApr 4 2022, 6:25 PM
MMiller_WMF renamed this task from Newcomer tasks: deploy AND selection to all wikis to Newcomer tasks: deploy AND selection to pilot.Apr 4 2022, 8:06 PM
MMiller_WMF renamed this task from Newcomer tasks: deploy AND selection to pilot to Newcomer tasks: deploy AND selection to pilot wikis.
MMiller_WMF updated the task description. (Show Details)

Change 780873 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Newcomer tasks: deploy AND topic selection to pilot wikis

https://gerrit.wikimedia.org/r/780873

Change 780874 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[operations/mediawiki-config@master] Newcomer tasks: deploy AND topic selection to pilot wikis

https://gerrit.wikimedia.org/r/780874

Sgs changed the task status from Open to In Progress.Apr 14 2022, 3:40 PM
Sgs moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Change 780873 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Newcomer tasks: deploy AND topic selection to pilot wikis

https://gerrit.wikimedia.org/r/780873

Change 780874 merged by jenkins-bot:

[operations/mediawiki-config@master] Newcomer tasks: deploy AND topic selection to pilot wikis

https://gerrit.wikimedia.org/r/780874

Mentioned in SAL (#wikimedia-operations) [2022-05-09T13:47:58Z] <taavi@deploy1002> Synchronized wmf-config/InitialiseSettings.php: Config: [[gerrit:780874|Newcomer tasks: deploy AND topic selection to pilot wikis (T305399)]] (duration: 00m 49s)

Change 790406 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.10] Newcomer tasks: deploy AND topic selection to pilot wikis

https://gerrit.wikimedia.org/r/790406

Change 790406 merged by Clare Ming:

[mediawiki/extensions/GrowthExperiments@wmf/1.39.0-wmf.10] Newcomer tasks: deploy AND topic selection to pilot wikis

https://gerrit.wikimedia.org/r/790406

Mentioned in SAL (#wikimedia-operations) [2022-05-09T21:18:56Z] <cjming@deploy1002> Synchronized php-1.39.0-wmf.10/extensions/GrowthExperiments: Backport: [[gerrit:790406|Newcomer tasks: deploy AND topic selection to pilot wikis (T305399)]] (duration: 00m 54s)

kostajh changed the task status from In Progress to Open.May 12 2022, 8:58 AM
kostajh triaged this task as Medium priority.

In this task, we'll deploy to all users on this set of pilot Wikipedias: Czech, Bengali, Arabic, Spanish, Turkish, Persian, Portuguese.

Checked all wikis - the filter option AND is present and can be selected. There is the task T308008: Number of "found articles" is not matching the real number of articles addressing the discrepancy between the count and the displaye articles cards.